org.jboss.netty.logging

## Class JdkLoggerFactory

- java.lang.Object
- - org.jboss.netty.logging.InternalLoggerFactory
  - - org.jboss.netty.logging.JdkLoggerFactory

    public class JdkLoggerFactory
    extends InternalLoggerFactory

Logger factory which creates a java.util.logging logger.

### Constructor Summary

Constructors
Constructor and Description
`JdkLoggerFactory()`

### Method Summary

Methods
`InternalLogger` `newInstance(String name)` Creates a new logger instance with the specified name.

### Methods inherited from class org.jboss.netty.logging.InternalLoggerFactory

`getDefaultFactory, getInstance, getInstance, setDefaultFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkLoggerFactory

    public JdkLoggerFactory()

### Method Detail

#### newInstance

    public InternalLogger newInstance(String name)

Description copied from class: `InternalLoggerFactory`
Creates a new logger instance with the specified name.

Specified by:
  `newInstance` in class `InternalLoggerFactory`